Bug 1005384 - RuntimeError: Can't have a question in command line mode!
RuntimeError: Can't have a question in command line mode!
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:2497f96b2ef7c5c0bd99ddec3a5...
:
Depends On: 968037
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-06 15:23 EDT by Joey Boggs
Modified: 2014-06-09 13:16 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 968037
Environment:
Last Closed: 2013-12-09 12:18:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joey Boggs 2013-09-06 15:23:16 EDT
Using livemedia creator and a kickstart that does no have a root password set or additional user I get the following error.

There should be a way to bypass this and continue the install. ovirt-node which is created from the kickstart I'm trying to use has a firstboot type setup to perform the installation and set passwords. The root account is locked and does not have a password until set after the installation. 



anaconda 19.30.13-1 for anaconda bluesky (pre-release) started.
Starting automated install.............................................................................
================================================================================
================================================================================
Installation

 1) [x] Installation source               2) [x] Timezone settings
        (http://mirror.uoregon.edu/fedo          (UTC timezone)
        ra/linux/releases/19/Everything   4) [!] Create user
        /x86_64/os/)                             (No user will be created)
 3) [!] Set root password
        (Password is not set.)
 5) [x] Software selection
        (Custom software selected)

===============================================================================
An unknown error has occurred
===============================================================================
anaconda 19.30.13-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/hubs/summary.py", line 60, in prompt
    raise RuntimeError(errtxt)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/tui/simpleline/base.py", line 345, in _mainloop
    prompt = last_screen.prompt(self._screens[-1][1])
RuntimeError: Can't have a question in command line mode!

What do you want to do now?
Comment 1 Vratislav Podzimek 2013-09-10 09:54:43 EDT
Remove the 'cmdline' command from the kickstart file and try it again. It should allow you to enter the root password.

Note You need to log in before you can comment on or make changes to this bug.